BZip2 (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs, class: BZip2

Package org.apache.tools.ant.taskdefs

# Class BZip2

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.Pack
org.apache.tools.ant.taskdefs.BZip2

All Implemented Interfaces:
  `Cloneable`

public class BZip2 extends Pack
Compresses a file with the BZIP2 algorithm. Normally used to compress non-compressed archives such as TAR files.

Since:
  Ant 1.5

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.taskdefs.Pack

  `source, zipFile`

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BZip2()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `pack()`
  Compress the zipFile.
  `protected boolean`
  `supportsNonFileResources()`
  Whether this task can deal with non-file resources.

  ### Methods inherited from class org.apache.tools.ant.taskdefs.Pack

  `addConfigured, execute, getSrcResource, setDestfile, setSrc, setSrcResource, setZipfile, zipFile, zipResource`

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BZip2

    public BZip2()

- ## Method Details

  - ### pack

    protected void pack()
    Compress the zipFile.
    Specified by:
      `pack` in class `Pack`

  - ### supportsNonFileResources

    protected boolean supportsNonFileResources()
    Whether this task can deal with non-file resources.

    This implementation returns true only if this task is <bzip2>. Any subclass of this class that also wants to support non-file resources needs to override this method. We need to do so for backwards compatibility reasons since we can't expect subclasses to support resources.

    Overrides:
      `supportsNonFileResources` in class `Pack`
    Returns:
      true if this task support non file resources.
    Since:
      Ant 1.7